Page MenuHomePhabricator

/mnt/upload7 does not exist anywhere, yet it is referenced in multiple places in wmf-config
Closed, ResolvedPublic

Description

alex@alex-laptop:~/Development/Wikimedia/Operations-MediaWiki-Config (master)$ git grep upload7 | grep -v labs
wmf-config/CommonSettings.php:$wgFileStore['deleted']['directory'] = "/mnt/upload7/private/archive/$site/$lang";
wmf-config/CommonSettings.php:	$wgCaptchaDirectory = '/mnt/upload7/private/captcha';
wmf-config/CommonSettings.php:	$wgMathDirectory   = '/mnt/upload7/math'; // just for sanity
wmf-config/InitialiseSettings.php:	# Using upload7 since Oct 2012
wmf-config/InitialiseSettings.php:	'default' => '/mnt/upload7/$site/$lang',
wmf-config/InitialiseSettings.php:	'private' => '/mnt/upload7/private/$lang',
wmf-config/InitialiseSettings.php:	'wikimania2005wiki' => '/mnt/upload7/wikipedia/wikimania', // back compat
wmf-config/InitialiseSettings.php:	'otrs_wikiwiki' => '/mnt/upload7/private/otrs_wiki',
wmf-config/InitialiseSettings.php:	'execwiki' => '/mnt/upload7/private/execwiki',
wmf-config/InitialiseSettings.php:	'transitionteamwiki' => '/mnt/upload7/private/transitionteamwiki',
wmf-config/InitialiseSettings.php:	'iegcomwiki' => '/mnt/upload7/private/iegcomwiki',
krenair@tin:~$ ./foreachapache 'ls /mnt/upload7' 2>&1 | grep -v "No such file or directory"
krenair@tin:~$

Details

Related Gerrit Patches:

Related Objects

StatusAssignedTask
Resolved AlexMonk-WMF
ResolvedKrenair
Resolved AlexMonk-WMF
Resolvedfgiunchedi
Resolved AlexMonk-WMF
ResolvedKrenair
Resolvedfgiunchedi
ResolvedKrenair
DeclinedNone
Resolvedmobrovac
ResolvedKrinkle
ResolvedKartikMistry
ResolvedKartikMistry
Resolved bd808
InvalidNone
DeclinedNone
Resolveddduvall
Resolveddduvall

Event Timeline

Krenair created this task.Mar 10 2016, 11:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 10 2016, 11:25 PM
greg added a subscriber: greg.Mar 10 2016, 11:48 PM

Change 280170 had a related patch set uploaded (by Reedy):
Remove upload7 references

https://gerrit.wikimedia.org/r/280170

/mnt/upload7 does not appear to exist anywhere within the beta cluster, it appears to be using /data/project/upload7

Change 298404 had a related patch set uploaded (by Alex Monk):
Remove old pre-Swift directory variables referencing upload7

https://gerrit.wikimedia.org/r/298404

AlexMonk-WMF changed the task status from Stalled to Open.Jul 11 2016, 11:59 PM

Change 298812 had a related patch set uploaded (by Alex Monk):
[labs/deployment-prep] Remove old pre-Swift directory variables referencing /data/project/upload7

https://gerrit.wikimedia.org/r/298812

Change 298812 merged by jenkins-bot:
[labs/deployment-prep] Remove old pre-Swift directory variables referencing /data/project/upload7

https://gerrit.wikimedia.org/r/298812

Change 298404 abandoned by Alex Monk:
Remove old pre-Swift directory variables referencing upload7

Reason:
I322fdd50

https://gerrit.wikimedia.org/r/298404

Change 280170 merged by jenkins-bot:
Remove upload7 references

https://gerrit.wikimedia.org/r/280170

Mentioned in SAL [2016-09-12T13:48:42Z] <hashar@tin> Synchronized wmf-config: Remove upload7 references T129586 (duration: 00m 50s)

Well done @AlexMonk-WMF that the last item of a long tail. Quite an achievement \o/